<!DOCTYPE html>
<html class="client-nojs" lang="en" dir="ltr">
<head>
<meta charset="UTF-8"/>
<title>Man-in-the-middle attack - Wikipedia</title>
<script>document.documentElement.className="client-js";RLCONF={"wgBreakFrames":!1,"wgSeparatorTransformTable":["",""],"wgDigitTransformTable":["",""],"wgDefaultDateFormat":"dmy","wgMonthNames":["","January","February","March","April","May","June","July","August","September","October","November","December"],"wgMonthNamesShort":["","Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"],"wgRequestId":"XhTYhApAAEYAAJK8aNEAAADF","wgCSPNonce":!1,"wgCanonicalNamespace":"","wgCanonicalSpecialPageName":!1,"wgNamespaceNumber":0,"wgPageName":"Man-in-the-middle_attack","wgTitle":"Man-in-the-middle attack","wgCurRevisionId":933141355,"wgRevisionId":933141355,"wgArticleId":144676,"wgIsArticle":!0,"wgIsRedirect":!1,"wgAction":"view","wgUserName":null,"wgUserGroups":["*"],"wgPageContentLanguage":"en","wgPageContentModel":"wikitext","wgRelevantPageName":"Man-in-the-middle_attack","wgRelevantArticleId":144676,"wgIsProbablyEditable":!0,"wgRelevantPageIsProbablyEditable":!0,
"wgRestrictionEdit":[],"wgRestrictionMove":[],"wgMediaViewerOnClick":!0,"wgMediaViewerEnabledByDefault":!0,"wgPopupsReferencePreviews":!1,"wgPopupsConflictsWithNavPopupGadget":!1,"wgVisualEditor":{"pageLanguageCode":"en","pageLanguageDir":"ltr","pageVariantFallbacks":"en"},"wgMFMode":"stable","wgMFAmc":!1,"wgMFAmcOutreachActive":!1,"wgMFAmcOutreachUserEligible":!1,"wgMFLazyLoadImages":!0,"wgMFDisplayWikibaseDescriptions":{"search":!0,"nearby":!0,"watchlist":!0,"tagline":!1},"wgMFIsPageContentModelEditable":!0,"wgWMESchemaEditAttemptStepOversample":!1,"wgULSCurrentAutonym":"English","wgNoticeProject":"wikipedia","wgWikibaseItemId":"Q554830","wgCentralAuthMobileDomain":!0,"wgEditSubmitButtonLabelPublish":!0,"wgMinervaPermissions":{"watch":!0,"talk":!1},"wgMinervaFeatures":{"beta":!1,"mobileOptionsLink":!0,"categories":!1,"pageIssues":!0,"talkAtTop":!1,"historyInPageActions":!1,"overflowSubmenu":!1,"tabsOnSpecials":!1,
"personalMenu":!1,"mainMenuExpanded":!1,"simplifiedTalk":!0},"wgMinervaDownloadNamespaces":[0]};RLSTATE={"noscript":"ready","user.styles":"ready","user":"ready","user.options":"ready","user.tokens":"loading","ext.cite.styles":"ready","skins.minerva.base.styles":"ready","skins.minerva.content.styles":"ready","skins.minerva.content.styles.images":"ready","mediawiki.hlist":"ready","mediawiki.ui.icon":"ready","mediawiki.ui.button":"ready","skins.minerva.icons.wikimedia":"ready","skins.minerva.icons.images":"ready","mobile.init.styles":"ready","ext.wikimediaBadges":"ready"};RLPAGEMODULES=["mediawiki.page.startup","skins.minerva.options","skins.minerva.scripts","ext.gadget.switcher","ext.centralauth.centralautologin","mobile.site","mobile.init","ext.relatedArticles.readMore.bootstrap","ext.eventLogging","ext.wikimediaEvents","ext.navigationTiming","mw.externalguidance.init","ext.quicksurveys.init","ext.centralNotice.geoIP","ext.centralNotice.startUp"];</script>
<script>(RLQ=window.RLQ||[]).push(function(){mw.loader.implement("user.tokens@tffin",function($,jQuery,require,module){/*@nomin*/mw.user.tokens.set({"patrolToken":"+\\","watchToken":"+\\","csrfToken":"+\\"});
});});</script>
<link rel="stylesheet" href="/w/load.php?lang=en&amp;modules=ext.cite.styles%7Cext.wikimediaBadges%7Cmediawiki.hlist%7Cmediawiki.ui.button%2Cicon%7Cmobile.init.styles%7Cskins.minerva.base.styles%7Cskins.minerva.content.styles%7Cskins.minerva.content.styles.images%7Cskins.minerva.icons.images%2Cwikimedia&amp;only=styles&amp;skin=minerva"/>
<script async="" src="/w/load.php?lang=en&amp;modules=startup&amp;only=scripts&amp;raw=1&amp;skin=minerva&amp;target=mobile"></script>
<meta name="generator" content="MediaWiki 1.35.0-wmf.11"/>
<meta name="referrer" content="origin"/>
<meta name="referrer" content="origin-when-crossorigin"/>
<meta name="referrer" content="origin-when-cross-origin"/>
<meta name="viewport" content="initial-scale=1.0, user-scalable=yes, minimum-scale=0.25, maximum-scale=5.0, width=device-width"/>
<meta name="theme-color" content="#eaecf0"/>
<link rel="alternate" href="android-app://org.wikipedia/http/en.m.wikipedia.org/wiki/Man-in-the-middle_attack"/>
<link rel="manifest" href="/w/api.php?action=webapp-manifest"/>
<link rel="alternate" type="application/x-wiki" title="Edit this page" href="/w/index.php?title=Man-in-the-middle_attack&amp;action=edit"/>
<link rel="edit" title="Edit this page" href="/w/index.php?title=Man-in-the-middle_attack&amp;action=edit"/>
<link rel="apple-touch-icon" href="/static/apple-touch/wikipedia.png"/>
<link rel="shortcut icon" href="/static/favicon/wikipedia.ico"/>
<link rel="search" type="application/opensearchdescription+xml" href="/w/opensearch_desc.php" title="Wikipedia (en)"/>
<link rel="EditURI" type="application/rsd+xml" href="//en.wikipedia.org/w/api.php?action=rsd"/>
<link rel="license" href="//creativecommons.org/licenses/by-sa/3.0/"/>
<link rel="canonical" href="https://en.wikipedia.org/wiki/Man-in-the-middle_attack"/>
<link rel="dns-prefetch" href="//login.wikimedia.org"/>
<link rel="dns-prefetch" href="//meta.wikimedia.org" />
<!--[if lt IE 9]><script src="/w/resources/lib/html5shiv/html5shiv.js"></script><![endif]-->
</head>
<body class="mediawiki ltr sitedir-ltr mw-hide-empty-elt ns-0 ns-subject mw-editable page-Man-in-the-middle_attack rootpage-Man-in-the-middle_attack stable issues-group-B skin-minerva action-view">
<div id="mw-mf-viewport">
	<nav id="mw-mf-page-left" class="navigation-drawer navigation-drawer--loading view-border-box">
		<div class="menu view-border-box">
	
	<ul id="p-navigation">
		
		
			
			<li class="">
  
    <a href="/wiki/Main_Page" class="mw-ui-icon mw-ui-icon-before mw-ui-icon-minerva-home" data-event-name="menu.home"><span>Home</span></a>
  
</li>

			
		
			
			<li class="">
  
    <a href="/wiki/Special:Random#/random" class="mw-ui-icon mw-ui-icon-before mw-ui-icon-minerva-random " data-event-name="menu.random"><span>Random</span></a>
  
</li>

			
		
			
			<li class="jsonly">
  
    <a href="/wiki/Special:Nearby" class="mw-ui-icon mw-ui-icon-before mw-ui-icon-minerva-nearby nearby" data-event-name="menu.nearby"><span>Nearby</span></a>
  
</li>

			
		
	</ul>
	
	<ul id="p-personal">
		
		
			
			<li class="">
  
    <a href="/w/index.php?title=Special:UserLogin&amp;returnto=Man-in-the-middle+attack" class="menu__item--login mw-ui-icon mw-ui-icon-before mw-ui-icon-minerva-login " data-event-name="menu.login"><span>Log in</span></a>
  
</li>

			
		
	</ul>
	
	<ul id="pt-preferences">
		
		
			
			<li class="">
  
    <a href="/w/index.php?title=Special:MobileOptions&amp;returnto=Man-in-the-middle+attack" class="menu__item--settings mw-ui-icon mw-ui-icon-before mw-ui-icon-minerva-settings " data-event-name="menu.settings"><span>Settings</span></a>
  
</li>

			
		
	</ul>
	
	<ul class="hlist">
		
			<li class="">
  
    <a href="/wiki/Wikipedia:About" class="" data-event-name=""><span>About Wikipedia</span></a>
  
</li>

		
			<li class="">
  
    <a href="/wiki/Wikipedia:General_disclaimer" class="" data-event-name=""><span>Disclaimers</span></a>
  
</li>

		
	</ul>
</div>

	</nav>
	<div id="mw-mf-page-center">
		<!-- transparent-shield can be removed when Drawer updated -->
		<a class="mw-mf-page-center__mask transparent-shield" href="#"></a>
		<header class="header-container header-chrome">
			<form class="header" action="/w/index.php" method="get">
				<div><a title="Open main menu" href="/wiki/Special:MobileMenu" class="mw-ui-icon mw-ui-icon-element mw-ui-icon-minerva-mainmenu main-menu-button mw-ui-icon-flush-left" data-event-name="ui.mainmenu" id="mw-mf-main-menu-button">Open main menu</a></div>
				<div class="branding-box">
					<a href="/wiki/Main_Page">
						<span><img src="/static/images/mobile/copyright/wikipedia-wordmark-en.png" alt="Wikipedia" srcset="/static/images/mobile/copyright/wikipedia-wordmark-en.svg 1x" height="18" width="116"/></span>
						
					</a>
				</div>
				<div class="search-box">
					<input class="search mw-ui-background-icon-search skin-minerva-search-trigger" type="search" name="search" id="searchInput"
						autocomplete="off" placeholder="Search Wikipedia" aria-label="Search Wikipedia"
						value="">
				</div>
				<nav class="minerva-user-navigation" aria-labelledby="minerva-user-menu-toggle"> 
					<div><button id="searchIcon" class="mw-ui-icon mw-ui-icon-element mw-ui-icon-wikimedia-search-base20 skin-minerva-search-trigger" type="submit">Search</button></div>
					
					
				</nav>
			</form>
		</header>
		<main id="content" class="mw-body">
			<div class="banner-container">
			<div id="siteNotice"></div>

			</div>
			
			
			<div class="pre-content heading-holder">
				<div class="page-heading">
					<h1 id="section_0">Man-in-the-middle attack</h1>
					<div class="tagline"></div>
				</div>
				
				<nav class="page-actions-menu">
	<ul id="page-actions" class="page-actions-menu__list">
		
		<li id="language-selector" class="page-actions-menu__list-item">
			
				<a id="" href="/wiki/Special:MobileLanguages/Man-in-the-middle_attack" class="mw-ui-icon mw-ui-icon-element mw-ui-icon-minerva-language-switcher mw-ui-icon-with-label-desktop language-selector"
					data-mw="interface"
					data-event-name="menu.languages" role="button" title="Language">
					Language
				</a>
			
		</li>
		
		<li id="page-actions-watch" class="page-actions-menu__list-item">
			
				<a id="ca-watch" href="/w/index.php?title=Special:UserLogin&amp;returnto=Man-in-the-middle+attack" class="mw-ui-icon mw-ui-icon-element mw-ui-icon-wikimedia-star-base20 mw-ui-icon-with-label-desktop watch-this-article mw-watchlink menu__item--page-actions-watch"
					data-mw="interface"
					data-event-name="menu.watch" role="button" title="Watch">
					Watch
				</a>
			
		</li>
		
		<li id="page-actions-edit" class="page-actions-menu__list-item">
			
				<a id="ca-edit" href="/w/index.php?title=Man-in-the-middle_attack&amp;action=edit&amp;section=0" class="edit-page menu__item--page-actions-edit mw-ui-icon mw-ui-icon-element mw-ui-icon-minerva-edit-enabled mw-ui-icon-with-label-desktop"
					data-mw="interface"
					data-event-name="menu.edit" role="button" title="Edit the lead section of this page">
					Edit
				</a>
			
		</li>
		
		
	</ul>
</nav>

<!-- version 1.0.1 (change every time you update a partial) -->

				
				
				<div class="minerva__subtitle"></div>
			</div>
			
			
			<div id="bodyContent" class="content"><div id="mw-content-text" lang="en" dir="ltr" class="mw-content-ltr"><script>function mfTempOpenSection(id){var block=document.getElementById("mf-section-"+id);block.className+=" open-block";block.previousSibling.className+=" open-block";}</script><div class="mw-parser-output"><div class="mf-section-0" id="mf-section-0">
<div role="note" class="hatnote navigation-not-searchable">Not to be confused with <a href="/wiki/Meet-in-the-middle_attack" title="Meet-in-the-middle attack">Meet-in-the-middle attack</a>.</div>
<p>In <a href="/wiki/Cryptography" title="Cryptography">cryptography</a> and <a href="/wiki/Computer_security" title="Computer security">computer security</a>, a <b>man-in-the-middle attack</b> (<b>MITM</b>) is an attack where the attacker secretly relays and possibly alters the communications between two parties who believe that they are directly communicating with each other. One example of a MITM attack is active <a href="/wiki/Eavesdropping" title="Eavesdropping">eavesdropping</a>, in which the attacker makes independent connections with the victims and relays messages between them to make them believe they are talking directly to each other over a private connection, when in fact the entire conversation is controlled by the attacker. The attacker must be able to intercept all relevant messages passing between the two victims and inject new ones. This is straightforward in many circumstances; for example, an attacker within reception range of an unencrypted <a href="/wiki/Wireless_access_point" title="Wireless access point">wireless access point</a> (Wi-Fi<sup id="cite_ref-:0_1-0" class="reference"><a href="#cite_note-:0-1">[1]</a></sup><sup id="cite_ref-:1_2-0" class="reference"><a href="#cite_note-:1-2">[2]</a></sup>) could insert themselves as a man-in-the-middle.<sup id="cite_ref-3" class="reference"><a href="#cite_note-3">[3]</a></sup></p><p>As it aims to circumvent mutual authentication, a MITM attack can succeed only when the attacker impersonates each endpoint sufficiently well to satisfy their expectations. Most cryptographic protocols include some form of endpoint authentication specifically to prevent MITM attacks. For example, TLS can authenticate one or both parties using a mutually trusted <a href="/wiki/Certificate_authority" title="Certificate authority">certificate authority</a>.<sup id="cite_ref-:1_2-1" class="reference"><a href="#cite_note-:1-2">[2]</a></sup></p>
<div id="toc" class="toc"><input type="checkbox" role="button" id="toctogglecheckbox" class="toctogglecheckbox" style="display:none"><div class="toctitle" lang="en" dir="ltr"><h2>Contents</h2><span class="toctogglespan"><label class="toctogglelabel" for="toctogglecheckbox"></label></span></div>
<ul><li class="toclevel-1 tocsection-1"><a href="#Example"><span class="tocnumber">1</span> <span class="toctext">Example</span></a></li>
<li class="toclevel-1 tocsection-2"><a href="#Defense_and_detection"><span class="tocnumber">2</span> <span class="toctext">Defense and detection</span></a>
<ul><li class="toclevel-2 tocsection-3"><a href="#Authentication"><span class="tocnumber">2.1</span> <span class="toctext">Authentication</span></a></li>
<li class="toclevel-2 tocsection-4"><a href="#Tamper_detection"><span class="tocnumber">2.2</span> <span class="toctext">Tamper detection</span></a></li>
<li class="toclevel-2 tocsection-5"><a href="#Forensic_analysis"><span class="tocnumber">2.3</span> <span class="toctext">Forensic analysis</span></a></li>
</ul></li>
<li class="toclevel-1 tocsection-6"><a href="#Notable_instances"><span class="tocnumber">3</span> <span class="toctext">Notable instances</span></a></li>
<li class="toclevel-1 tocsection-7"><a href="#See_also"><span class="tocnumber">4</span> <span class="toctext">See also</span></a></li>
<li class="toclevel-1 tocsection-8"><a href="#References"><span class="tocnumber">5</span> <span class="toctext">References</span></a></li>
<li class="toclevel-1 tocsection-9"><a href="#External_links"><span class="tocnumber">6</span> <span class="toctext">External links</span></a></li>
</ul></div>

</div><h2 class="section-heading" onclick="javascript:mfTempOpenSection(1)"><div class="mw-ui-icon mw-ui-icon-element indicator mw-ui-icon-small mw-ui-icon-flush-left"></div><span class="mw-headline" id="Example">Example</span><span class="mw-editsection"><a href="/w/index.php?title=Man-in-the-middle_attack&amp;action=edit&amp;section=1" title="Edit section: Example" data-section="1" class="mw-ui-icon mw-ui-icon-element mw-ui-icon-minerva-edit-enabled edit-page mw-ui-icon-flush-right">Edit</a></span></h2><div class="mf-section-1 collapsible-block" id="mf-section-1">
<div class="thumb tright"><div class="thumbinner" style="width:262px;"><a href="/wiki/File:Man_in_the_middle_attack.svg" class="image"><noscript><img alt="" src="//upload.wikimedia.org/wikipedia/commons/thumb/e/e7/Man_in_the_middle_attack.svg/260px-Man_in_the_middle_attack.svg.png" decoding="async" width="260" height="185" class="thumbimage" data-file-width="1052" data-file-height="747"></noscript><span class="lazy-image-placeholder" style="width: 260px;height: 185px;" data-src="//upload.wikimedia.org/wikipedia/commons/thumb/e/e7/Man_in_the_middle_attack.svg/260px-Man_in_the_middle_attack.svg.png" data-alt="" data-width="260" data-height="185" data-srcset="//upload.wikimedia.org/wikipedia/commons/thumb/e/e7/Man_in_the_middle_attack.svg/390px-Man_in_the_middle_attack.svg.png 1.5x, //upload.wikimedia.org/wikipedia/commons/thumb/e/e7/Man_in_the_middle_attack.svg/520px-Man_in_the_middle_attack.svg.png 2x" data-class="thumbimage"> </span></a>  <div class="thumbcaption"><div class="magnify"><a href="/wiki/File:Man_in_the_middle_attack.svg" class="internal" title="Enlarge"></a></div>An illustration of the man-in-the-middle attack</div></div></div>
<p>Suppose <a href="/wiki/Alice_and_Bob" title="Alice and Bob">Alice</a> wishes to communicate with <a href="/wiki/Alice_and_Bob" title="Alice and Bob">Bob</a>. Meanwhile, <a href="/wiki/Alice_and_Bob#Mallory" title="Alice and Bob">Mallory</a> wishes to intercept the conversation to eavesdrop and optionally to deliver a false message to Bob.
</p><p>First, Alice asks Bob for his <a href="/wiki/Public-key_cryptography" title="Public-key cryptography">public key</a>. If Bob sends his public key to Alice, but Mallory is able to intercept it, an MITM attack can begin. Mallory sends Alice a forged message that appears to originate from Bob, but instead includes Mallory's public key.
</p><p>Alice, believing this public key to be Bob's, encrypts her message with Mallory's key and sends the enciphered message back to Bob. Mallory again intercepts, deciphers the message using her private key, possibly alters it if she wants, and re-enciphers it using the public key she intercepted from Bob when he originally tried to send it to Alice. When Bob receives the newly enciphered message, he believes it came from Alice.
</p>
<ol><li>Alice sends a message to Bob, which is intercepted by Mallory:
<dl><dd><span style="color:green;">Alice</span> <i>"Hi Bob, it's Alice. Give me your key."</i> →     <span style="color:red;">Mallory</span>     <span style="color:green;">Bob</span></dd></dl></li>
<li>Mallory relays this message to Bob; Bob cannot tell it is not really from Alice:
<dl><dd><span style="color:green;">Alice</span>     <span style="color:red;">Mallory</span> <i>"Hi Bob, it's Alice. Give me your key."</i> →     <span style="color:green;">Bob</span></dd></dl></li>
<li>Bob responds with his encryption key:
<dl><dd><span style="color:green;">Alice</span>     <span style="color:red;">Mallory</span>     ← <i>[Bob's key]</i> <span style="color:green;">Bob</span></dd></dl></li>
<li>Mallory replaces Bob's key with her own, and relays this to Alice, claiming that it is Bob's key:
<dl><dd><span style="color:green;">Alice</span>     ← <i>[Mallory's key]</i> <span style="color:red;">Mallory</span>     <span style="color:green;">Bob</span></dd></dl></li>
<li>Alice encrypts a message with what she believes to be Bob's key, thinking that only Bob can read it:
<dl><dd><span style="color:green;">Alice</span> <i>"Meet me at the bus stop!" [encrypted with Mallory's key]</i> →     <span style="color:red;">Mallory</span>     <span style="color:green;">Bob</span></dd></dl></li>
<li>However, because it was actually encrypted with Mallory's key, Mallory can decrypt it, read it, modify it (if desired), re-encrypt with Bob's key, and forward it to Bob:
<dl><dd><span style="color:green;">Alice</span>     <span style="color:red;">Mallory</span> <i>"Meet me at the van down by the river!" [encrypted with Bob's key]</i> →     <span style="color:green;">Bob</span></dd></dl></li>
<li>Bob thinks that this message is a secure communication from Alice.</li></ol><p>This example<sup id="cite_ref-4" class="reference"><a href="#cite_note-4">[4]</a></sup> shows the need for Alice and Bob to have some way to ensure that they are truly each using each other's <a href="/wiki/Public-key_cryptography" title="Public-key cryptography">public keys</a>, rather than the public key of an attacker. Otherwise, such attacks are generally possible, in principle, against any message sent using public-key technology. A variety of techniques can help defend against MITM attacks.
</p>
</div><h2 class="section-heading" onclick="javascript:mfTempOpenSection(2)"><div class="mw-ui-icon mw-ui-icon-element indicator mw-ui-icon-small mw-ui-icon-flush-left"></div><span class="mw-headline" id="Defense_and_detection">Defense and detection</span><span class="mw-editsection"><a href="/w/index.php?title=Man-in-the-middle_attack&amp;action=edit&amp;section=2" title="Edit section: Defense and detection" data-section="2" class="mw-ui-icon mw-ui-icon-element mw-ui-icon-minerva-edit-enabled edit-page mw-ui-icon-flush-right">Edit</a></span></h2><div class="mf-section-2 collapsible-block" id="mf-section-2">
<p>MITM attacks can be prevented or detected by two means: authentication and tamper detection. Authentication provides some degree of certainty that a given message has come from a legitimate source. <a href="/wiki/Tamper-evident_technology#Computer_systems" title="Tamper-evident technology">Tamper detection</a> merely shows evidence that a message may have been altered.
</p>
<h3 class="in-block"><span class="mw-headline" id="Authentication">Authentication</span><span class="mw-editsection"><a href="/w/index.php?title=Man-in-the-middle_attack&amp;action=edit&amp;section=3" title="Edit section: Authentication" data-section="3" class="mw-ui-icon mw-ui-icon-element mw-ui-icon-minerva-edit-enabled edit-page mw-ui-icon-flush-right">Edit</a></span></h3>
<p>All cryptographic systems that are secure against MITM attacks provide some method of authentication for messages. Most require an exchange of information (such as <a href="/wiki/Public-key_cryptography" title="Public-key cryptography">public keys</a>) in addition to the message over a <a href="/wiki/Secure_channel" title="Secure channel">secure channel</a>. Such protocols, often using <a href="/wiki/Key-agreement_protocol" title="Key-agreement protocol">key-agreement protocols</a>, have been developed with different security requirements for the secure channel, though some have attempted to remove the requirement for any secure channel at all.<sup id="cite_ref-Merkle_1978_5-0" class="reference"><a href="#cite_note-Merkle_1978-5">[5]</a></sup></p><p>A <a href="/wiki/Public_key_infrastructure" title="Public key infrastructure">public key infrastructure</a>, such as <a href="/wiki/Transport_Layer_Security" title="Transport Layer Security">Transport Layer Security</a>, may harden <a href="/wiki/Transmission_Control_Protocol" title="Transmission Control Protocol">Transmission Control Protocol</a> against MITM attacks. In such structures, clients and servers exchange certificates which are issued and verified by a trusted third party called a <a href="/wiki/Certificate_authority" title="Certificate authority">certificate authority</a> (CA). If the original key to authenticate this CA has not been itself the subject of a MITM attack, then the certificates issued by the CA may be used to authenticate the messages sent by the owner of that certificate. Use of <a href="/wiki/Mutual_authentication" title="Mutual authentication">mutual authentication</a>, in which both the server and the client validate the other's communication, covers both ends of a MITM attack, though the default behavior of most connections is to only authenticate the server.
</p><p>Attestments, such as verbal communications of a shared value (as in <a href="/wiki/ZRTP" title="ZRTP">ZRTP</a>), or recorded attestments such as audio/visual recordings of a public key hash<sup id="cite_ref-6" class="reference"><a href="#cite_note-6">[6]</a></sup> are used to ward off MITM attacks, as visual media is much more difficult and time-consuming to imitate than simple data packet communication. However, these methods require a human in the loop in order to successfully initiate the transaction.
</p><p>In a corporate environment, successful authentication (as indicated by the browser's green padlock) does not always imply secure connection with the remote server. Corporate security policies might contemplate the addition of custom certificates in workstations' web browsers in order to be able to inspect encrypted traffic. As a consequence, a green padlock does not indicate that the client has successfully authenticated with the remote server but just with the corporate server/proxy used for SSL/TLS inspection.
</p><p><a href="/wiki/HTTP_Public_Key_Pinning" title="HTTP Public Key Pinning">HTTP Public Key Pinning</a> (HPKP), sometimes called "certificate pinning," helps prevent a MITM attack in which the certificate authority itself is compromised, by having the server provide a list of "pinned" public key hashes during the first transaction. Subsequent transactions then require one or more of the keys in the list must be used by the server in order to authenticate that transaction.
</p><p><a href="/wiki/Domain_Name_System_Security_Extensions" title="Domain Name System Security Extensions">DNSSEC</a> extends the DNS protocol to use signatures to authenticate DNS records, preventing simple MITM attacks from directing a client to a malicious <a href="/wiki/IP_address" title="IP address">IP address</a>.
</p>
<h3 class="in-block"><span class="mw-headline" id="Tamper_detection">Tamper detection</span><span class="mw-editsection"><a href="/w/index.php?title=Man-in-the-middle_attack&amp;action=edit&amp;section=4" title="Edit section: Tamper detection" data-section="4" class="mw-ui-icon mw-ui-icon-element mw-ui-icon-minerva-edit-enabled edit-page mw-ui-icon-flush-right">Edit</a></span></h3>
<p>Latency examination can potentially detect the attack in certain situations,<sup id="cite_ref-7" class="reference"><a href="#cite_note-7">[7]</a></sup> such as with long calculations that lead into tens of seconds like <a href="/wiki/Cryptographic_hash_function" title="Cryptographic hash function">hash functions</a>. To detect potential attacks, parties check for discrepancies in response times. For example: Say that two parties normally take a certain amount of time to perform a particular transaction. If one transaction, however, were to take an abnormal length of time to reach the other party, this could be indicative of a third party's interference inserting additional latency in the transaction.
</p><p><a href="/wiki/Quantum_Cryptography" class="mw-redirect" title="Quantum Cryptography">Quantum Cryptography</a>, in theory, provides tamper-evidence for transactions through the <a href="/wiki/No-cloning_theorem" title="No-cloning theorem">no-cloning theorem</a>. Protocols based on quantum cryptography typically authenticate part or all of their classical communication with an unconditionally secure authentication scheme e.g. <a href="/w/index.php?title=Wegman-Carter_authentication&amp;action=edit&amp;redlink=1" class="new" title="Wegman-Carter authentication (page does not exist)">Wegman-Carter authentication</a>.<sup id="cite_ref-8" class="reference"><a href="#cite_note-8">[8]</a></sup></p>
<h3 class="in-block"><span class="mw-headline" id="Forensic_analysis">Forensic analysis</span><span class="mw-editsection"><a href="/w/index.php?title=Man-in-the-middle_attack&amp;action=edit&amp;section=5" title="Edit section: Forensic analysis" data-section="5" class="mw-ui-icon mw-ui-icon-element mw-ui-icon-minerva-edit-enabled edit-page mw-ui-icon-flush-right">Edit</a></span></h3>
<p><a href="/wiki/Packet_capture" class="mw-redirect" title="Packet capture">Captured network traffic</a> from what is suspected to be an attack can be analyzed in order to determine whether or not there was an attack and determine the source of the attack, if any. Important evidence to analyze when performing <a href="/wiki/Network_forensics" title="Network forensics">network forensics</a> on a suspected attack includes:<sup id="cite_ref-9" class="reference"><a href="#cite_note-9">[9]</a></sup></p>
<ul><li>IP address of the server</li>
<li>DNS name of the server</li>
<li><a href="/wiki/X.509" title="X.509">X.509</a> certificate of the server
<ul><li>Is the certificate self signed?</li>
<li>Is the certificate signed by a <a href="/wiki/Certificate_authority" title="Certificate authority">trusted CA</a>?</li>
<li>Has the certificate been <a href="/wiki/Certificate_revocation" class="mw-redirect" title="Certificate revocation">revoked</a>?</li>
<li>Has the certificate been changed recently?</li>
<li>Do other clients, elsewhere on the Internet, also get the same certificate?</li></ul></li></ul></div><h2 class="section-heading" onclick="javascript:mfTempOpenSection(3)"><div class="mw-ui-icon mw-ui-icon-element indicator mw-ui-icon-small mw-ui-icon-flush-left"></div><span class="mw-headline" id="Notable_instances">Notable instances</span><span class="mw-editsection"><a href="/w/index.php?title=Man-in-the-middle_attack&amp;action=edit&amp;section=6" title="Edit section: Notable instances" data-section="6" class="mw-ui-icon mw-ui-icon-element mw-ui-icon-minerva-edit-enabled edit-page mw-ui-icon-flush-right">Edit</a></span></h2><div class="mf-section-3 collapsible-block" id="mf-section-3">
<p>A notable non-cryptographic MITM attack was perpetrated by a <a href="/wiki/Belkin" title="Belkin">Belkin</a> <a href="/wiki/IEEE_802.11" title="IEEE 802.11">wireless network</a> <a href="/wiki/Router_(computing)" title="Router (computing)">router</a> in 2003. Periodically, it would take over an <a href="/wiki/Hypertext_Transfer_Protocol" title="Hypertext Transfer Protocol">HTTP</a> connection being routed through it: this would fail to pass the traffic on to destination, but instead itself responded as the intended server. The reply it sent, in place of the web page the user had requested, was an advertisement for another Belkin product. After an outcry from technically literate users, this 'feature' was removed from later versions of the router's <a href="/wiki/Firmware" title="Firmware">firmware</a>.<sup id="cite_ref-10" class="reference"><a href="#cite_note-10">[10]</a></sup></p><p>In 2011, a security breach of the <a href="/wiki/Netherlands" title="Netherlands">Dutch</a> <a href="/wiki/Certificate_authority" title="Certificate authority">certificate authority</a> <a href="/wiki/DigiNotar" title="DigiNotar">DigiNotar</a> resulted in the fraudulent issuing of <a href="/wiki/Public_key_certificate" title="Public key certificate">certificates</a>. Subsequently, the fraudulent certificates were used to perform MITM attacks.<sup id="cite_ref-11" class="reference"><a href="#cite_note-11">[11]</a></sup></p><p>In 2013, the <a href="/wiki/Nokia" title="Nokia">Nokia</a>'s <a href="/wiki/Xpress_Browser" class="mw-redirect" title="Xpress Browser">Xpress Browser</a> was revealed to be decrypting HTTPS traffic on Nokia's <a href="/wiki/Proxy_server" title="Proxy server">proxy servers</a>, giving the company <a href="/wiki/Clear_text" class="mw-redirect" title="Clear text">clear text</a> access to its customers' encrypted browser traffic. Nokia responded by saying that the content was not stored permanently, and that the company had organizational and technical measures to prevent access to private information.<sup id="cite_ref-12" class="reference"><a href="#cite_note-12">[12]</a></sup></p><p>In 2017, <a href="/wiki/Equifax#2017_withdrawal_of_vulnerable_mobile_apps" title="Equifax">Equifax</a> withdrew its mobile phone apps following concern about MITM vulnerabilities.<sup id="cite_ref-13" class="reference"><a href="#cite_note-13">[13]</a></sup></p><p>Other notable real-life implementations include the following:
</p>
<ul><li><a href="/wiki/DSniff" title="DSniff">DSniff</a> –  the first public implementation of MITM attacks against SSL and SSH</li>
<li><a href="/wiki/Fiddler_(software)" title="Fiddler (software)">Fiddler2</a> HTTP(S) diagnostic tool</li>
<li><a href="/wiki/NSA" class="mw-redirect" title="NSA">NSA</a> impersonation of <a href="/wiki/Google" title="Google">Google</a><sup id="cite_ref-14" class="reference"><a href="#cite_note-14">[14]</a></sup></li>
<li><a href="/wiki/Superfish" title="Superfish">Superfish</a> malware</li>
<li><a href="/wiki/Forcepoint" title="Forcepoint">Forcepoint</a> Content Gateway –  used to perform inspection of SSL traffic at the <a href="/wiki/Proxy_server" title="Proxy server">proxy</a></li>
<li><a href="/wiki/Comcast" title="Comcast">Comcast</a> uses MITM attacks to inject JavaScript code to 3rd party web pages, showing their own ads and messages on top of the pages. <sup id="cite_ref-15" class="reference"><a href="#cite_note-15">[15]</a></sup><sup id="cite_ref-16" class="reference"><a href="#cite_note-16">[16]</a></sup><sup id="cite_ref-:0_1-1" class="reference"><a href="#cite_note-:0-1">[1]</a></sup></li></ul></div><h2 class="section-heading" onclick="javascript:mfTempOpenSection(4)"><div class="mw-ui-icon mw-ui-icon-element indicator mw-ui-icon-small mw-ui-icon-flush-left"></div><span class="mw-headline" id="See_also">See also</span><span class="mw-editsection"><a href="/w/index.php?title=Man-in-the-middle_attack&amp;action=edit&amp;section=7" title="Edit section: See also" data-section="7" class="mw-ui-icon mw-ui-icon-element mw-ui-icon-minerva-edit-enabled edit-page mw-ui-icon-flush-right">Edit</a></span></h2><div class="mf-section-4 collapsible-block" id="mf-section-4">
<div class="div-col columns column-width" style="-moz-column-width: 30em; -webkit-column-width: 30em; column-width: 30em;">
<ul><li><a href="/wiki/ARP_spoofing" title="ARP spoofing">ARP spoofing</a> – a technique by which an attacker sends Address Resolution Protocol messages onto a local area network</li>
<li><a href="/wiki/Aspidistra_(transmitter)" title="Aspidistra (transmitter)">Aspidistra transmitter</a> –  a British radio transmitter used for World War II "intrusion" operations, an early MITM attack.</li>
<li><a href="/wiki/Babington_Plot" title="Babington Plot">Babington Plot</a> –  the plot against Elizabeth I of England, where Francis Walsingham intercepted the correspondence.</li>
<li><a href="/wiki/Boy-in-the-browser" class="mw-redirect" title="Boy-in-the-browser">Boy-in-the-browser</a> –  a simpler type of web browser MITM</li>
<li><a href="/wiki/Computer_security" title="Computer security">Computer security</a> –  the design of secure computer systems.</li>
<li><a href="/wiki/Cryptanalysis" title="Cryptanalysis">Cryptanalysis</a> –  the art of deciphering encrypted messages with incomplete knowledge of how they were encrypted.</li>
<li><a href="/wiki/Digital_signature" title="Digital signature">Digital signature</a> –  a cryptographic guarantee of the authenticity of a text, usually the result of a calculation only the author is expected to be able to perform.</li>
<li><a href="/wiki/Evil_maid_attack" title="Evil maid attack">Evil maid attack</a> –  attack used against full disk encryption systems</li>
<li><a href="/wiki/Interlock_protocol" title="Interlock protocol">Interlock protocol</a> –  a specific protocol to circumvent an MITM attack when the keys may have been compromised.</li>
<li><a href="/wiki/Key_management" title="Key management">Key management</a> –  how to manage cryptographic keys, including generation, exchange and storage.</li>
<li><a href="/wiki/Key-agreement_protocol" title="Key-agreement protocol">Key-agreement protocol</a> –  a cryptographic protocol for establishing a key in which both parties can have confidence.</li>
<li><a href="/wiki/Man-in-the-browser" title="Man-in-the-browser">Man-in-the-browser</a> –  a type of web browser MITM</li>
<li><a href="/wiki/Man-on-the-side_attack" title="Man-on-the-side attack">Man-on-the-side attack</a> –  a similar attack, giving only regular access to a communication channel.</li>
<li><a href="/wiki/Mutual_authentication" title="Mutual authentication">Mutual authentication</a> –  how communicating parties establish confidence in one another's identities.</li>
<li><a href="/wiki/Password-authenticated_key_agreement" title="Password-authenticated key agreement">Password-authenticated key agreement</a> –  a protocol for establishing a key using a password.</li>
<li><a href="/wiki/Quantum_cryptography" title="Quantum cryptography">Quantum cryptography</a> –  the use of quantum mechanics to provide security in cryptography (while older methods rely on one-way functions).</li>
<li><a href="/wiki/Secure_channel" title="Secure channel">Secure channel</a> –  a way of communicating resistant to interception and tampering.</li>
<li><a href="/wiki/Spoofing_attack" title="Spoofing attack">Spoofing attack</a></li></ul></div>
</div><h2 class="section-heading" onclick="javascript:mfTempOpenSection(5)"><div class="mw-ui-icon mw-ui-icon-element indicator mw-ui-icon-small mw-ui-icon-flush-left"></div><span class="mw-headline" id="References">References</span><span class="mw-editsection"><a href="/w/index.php?title=Man-in-the-middle_attack&amp;action=edit&amp;section=8" title="Edit section: References" data-section="8" class="mw-ui-icon mw-ui-icon-element mw-ui-icon-minerva-edit-enabled edit-page mw-ui-icon-flush-right">Edit</a></span></h2><div class="mf-section-5 collapsible-block" id="mf-section-5">
<div class="reflist" style="list-style-type: decimal;">
<div class="mw-references-wrap mw-references-columns"><ol class="references"><li id="cite_note-:0-1"><span class="mw-cite-backlink">^ <a href="#cite_ref-:0_1-0"><sup><i><b>a</b></i></sup></a> <a href="#cite_ref-:0_1-1"><sup><i><b>b</b></i></sup></a></span> <span class="reference-text"><cite class="citation web"><a rel="nofollow" class="external text" href="https://thenextweb.com/insights/2017/12/11/comcast-continues-to-inject-its-own-code-into-websites-you-visit/">"Comcast continues to inject its own code into websites you visit"</a>. 2017-12-11.</cite><span title="ctx_ver=Z39.88-2004&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Abook&amp;rft.genre=unknown&amp;rft.btitle=Comcast+continues+to+inject+its+own+code+into+websites+you+visit&amp;rft.date=2017-12-11&amp;rft_id=https%3A%2F%2Fthenextweb.com%2Finsights%2F2017%2F12%2F11%2Fcomcast-continues-to-inject-its-own-code-into-websites-you-visit%2F&amp;rfr_id=info%3Asid%2Fen.wikipedia.org%3AMan-in-the-middle+attack" class="Z3988"></span><style data-mw-deduplicate="TemplateStyles:r886058088">.mw-parser-output cite.citation{font-style:inherit}.mw-parser-output .citation q{quotes:"\"""\"""'""'"}.mw-parser-output .citation .cs1-lock-free a{background:url("//upload.wikimedia.org/wikipedia/commons/thumb/6/65/Lock-green.svg/9px-Lock-green.svg.png")no-repeat;background-position:right .1em center}.mw-parser-output .citation .cs1-lock-limited a,.mw-parser-output .citation .cs1-lock-registration a{background:url("//upload.wikimedia.org/wikipedia/commons/thumb/d/d6/Lock-gray-alt-2.svg/9px-Lock-gray-alt-2.svg.png")no-repeat;background-position:right .1em center}.mw-parser-output .citation .cs1-lock-subscription a{background:url("//upload.wikimedia.org/wikipedia/commons/thumb/a/aa/Lock-red-alt-2.svg/9px-Lock-red-alt-2.svg.png")no-repeat;background-position:right .1em center}.mw-parser-output .cs1-subscription,.mw-parser-output .cs1-registration{color:#555}.mw-parser-output .cs1-subscription span,.mw-parser-output .cs1-registration span{border-bottom:1px dotted;cursor:help}.mw-parser-output .cs1-ws-icon a{background:url("//upload.wikimedia.org/wikipedia/commons/thumb/4/4c/Wikisource-logo.svg/12px-Wikisource-logo.svg.png")no-repeat;background-position:right .1em center}.mw-parser-output code.cs1-code{color:inherit;background:inherit;border:inherit;padding:inherit}.mw-parser-output .cs1-hidden-error{display:none;font-size:100%}.mw-parser-output .cs1-visible-error{font-size:100%}.mw-parser-output .cs1-maint{display:none;color:#33aa33;margin-left:0.3em}.mw-parser-output .cs1-subscription,.mw-parser-output .cs1-registration,.mw-parser-output .cs1-format{font-size:95%}.mw-parser-output .cs1-kern-left,.mw-parser-output .cs1-kern-wl-left{padding-left:0.2em}.mw-parser-output .cs1-kern-right,.mw-parser-output .cs1-kern-wl-right{padding-right:0.2em}</style></span>
</li>
<li id="cite_note-:1-2"><span class="mw-cite-backlink">^ <a href="#cite_ref-:1_2-0"><sup><i><b>a</b></i></sup></a> <a href="#cite_ref-:1_2-1"><sup><i><b>b</b></i></sup></a></span> <span class="reference-text"><cite class="citation journal">Callegati, Franco; Cerroni, Walter; Ramilli, Marco (2009). "Man-in-the-Middle Attack to the HTTPS Protocol". <i>IEEE Security &amp; Privacy Magazine</i>. <b>7</b>: 78–81. <a href="/wiki/Digital_object_identifier" title="Digital object identifier">doi</a>:<a rel="nofollow" class="external text" href="//doi.org/10.1109%2FMSP.2009.12">10.1109/MSP.2009.12</a>.</cite><span title="ctx_ver=Z39.88-2004&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=article&amp;rft.jtitle=IEEE+Security+%26+Privacy+Magazine&amp;rft.atitle=Man-in-the-Middle+Attack+to+the+HTTPS+Protocol&amp;rft.volume=7&amp;rft.pages=78-81&amp;rft.date=2009&amp;rft_id=info%3Adoi%2F10.1109%2FMSP.2009.12&amp;rft.aulast=Callegati&amp;rft.aufirst=Franco&amp;rft.au=Cerroni%2C+Walter&amp;rft.au=Ramilli%2C+Marco&amp;rfr_id=info%3Asid%2Fen.wikipedia.org%3AMan-in-the-middle+attack" class="Z3988"></span><link rel="mw-deduplicated-inline-style" href="mw-data:TemplateStyles:r886058088"></span>
</li>
<li id="cite_note-3"><span class="mw-cite-backlink"><b><a href="#cite_ref-3">^</a></b></span> <span class="reference-text"><cite class="citation web">Tanmay Patange (November 10, 2013). <a rel="nofollow" class="external text" href="http://hackerspace.lifehacker.com/how-to-defend-yourself-against-mitm-or-man-in-the-middl-1461796382">"How to defend yourself against MITM or Man-in-the-middle attack"</a>.</cite><span title="ctx_ver=Z39.88-2004&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Abook&amp;rft.genre=unknown&amp;rft.btitle=How+to+defend+yourself+against+MITM+or+Man-in-the-middle+attack&amp;rft.date=2013-11-10&amp;rft.au=Tanmay+Patange&amp;rft_id=http%3A%2F%2Fhackerspace.lifehacker.com%2Fhow-to-defend-yourself-against-mitm-or-man-in-the-middl-1461796382&amp;rfr_id=info%3Asid%2Fen.wikipedia.org%3AMan-in-the-middle+attack" class="Z3988"></span><link rel="mw-deduplicated-inline-style" href="mw-data:TemplateStyles:r886058088"></span>
</li>
<li id="cite_note-4"><span class="mw-cite-backlink"><b><a href="#cite_ref-4">^</a></b></span> <span class="reference-text"><cite class="citation web"><a rel="nofollow" class="external text" href="https://crypto.stackexchange.com/questions/31224/mitm-on-rsa-public-key-encryption">"diffie hellman - MiTM on RSA public key encryption"</a>. <i>Cryptography Stack Exchange</i>.</cite><span title="ctx_ver=Z39.88-2004&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=unknown&amp;rft.jtitle=Cryptography+Stack+Exchange&amp;rft.atitle=diffie+hellman+-+MiTM+on+RSA+public+key+encryption&amp;rft_id=https%3A%2F%2Fcrypto.stackexchange.com%2Fquestions%2F31224%2Fmitm-on-rsa-public-key-encryption&amp;rfr_id=info%3Asid%2Fen.wikipedia.org%3AMan-in-the-middle+attack" class="Z3988"></span><link rel="mw-deduplicated-inline-style" href="mw-data:TemplateStyles:r886058088"></span>
</li>
<li id="cite_note-Merkle_1978-5"><span class="mw-cite-backlink"><b><a href="#cite_ref-Merkle_1978_5-0">^</a></b></span> <span class="reference-text"><cite class="citation journal">Merkle, Ralph C (April 1978). "Secure Communications Over Insecure Channels". <i>Communications of the ACM</i>. <b>21</b> (4): 294–299. <a href="/wiki/CiteSeerX" title="CiteSeerX">CiteSeerX</a> <span class="cs1-lock-free" title="Freely accessible"><a rel="nofollow" class="external text" href="//citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.364.5157">10.1.1.364.5157</a></span>. <a href="/wiki/Digital_object_identifier" title="Digital object identifier">doi</a>:<a rel="nofollow" class="external text" href="//doi.org/10.1145%2F359460.359473">10.1145/359460.359473</a>. <q>Received August, 1975; revised September 1977</q></cite><span title="ctx_ver=Z39.88-2004&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=article&amp;rft.jtitle=Communications+of+the+ACM&amp;rft.atitle=Secure+Communications+Over+Insecure+Channels&amp;rft.volume=21&amp;rft.issue=4&amp;rft.pages=294-299&amp;rft.date=1978-04&amp;rft_id=%2F%2Fciteseerx.ist.psu.edu%2Fviewdoc%2Fsummary%3Fdoi%3D10.1.1.364.5157&amp;rft_id=info%3Adoi%2F10.1145%2F359460.359473&amp;rft.aulast=Merkle&amp;rft.aufirst=Ralph+C&amp;rfr_id=info%3Asid%2Fen.wikipedia.org%3AMan-in-the-middle+attack" class="Z3988"></span><link rel="mw-deduplicated-inline-style" href="mw-data:TemplateStyles:r886058088"></span>
</li>
<li id="cite_note-6"><span class="mw-cite-backlink"><b><a href="#cite_ref-6">^</a></b></span> <span class="reference-text"><cite class="citation arxiv">Heinrich, Stuart (2013). "Public Key Infrastructure based on Authentication of Media Attestments". <a href="/wiki/ArXiv" title="ArXiv">arXiv</a>:<span class="cs1-lock-free" title="Freely accessible"><a rel="nofollow" class="external text" href="//arxiv.org/abs/1311.7182v1">1311.7182v1</a></span> [<a rel="nofollow" class="external text" href="//arxiv.org/archive/cs.CR">cs.CR</a>].</cite><span title="ctx_ver=Z39.88-2004&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=preprint&amp;rft.jtitle=arXiv&amp;rft.atitle=Public+Key+Infrastructure+based+on+Authentication+of+Media+Attestments&amp;rft.date=2013&amp;rft_id=info%3Aarxiv%2F1311.7182v1&amp;rft.aulast=Heinrich&amp;rft.aufirst=Stuart&amp;rfr_id=info%3Asid%2Fen.wikipedia.org%3AMan-in-the-middle+attack" class="Z3988"></span><link rel="mw-deduplicated-inline-style" href="mw-data:TemplateStyles:r886058088"></span>
</li>
<li id="cite_note-7"><span class="mw-cite-backlink"><b><a href="#cite_ref-7">^</a></b></span> <span class="reference-text"><cite class="citation journal">Aziz, Benjamin; Hamilton, Geoff (2009). <a rel="nofollow" class="external text" href="https://ieeexplore.ieee.org/abstract/document/5211025/">"Detecting man-in-the-middle attacks by precise timing"</a>. <i>2009 Third International Conference on Emerging Security Information, Systems and Technologies</i>: 81–86<span class="reference-accessdate">. Retrieved <span class="nowrap">2017-02-25</span></span>.</cite><span title="ctx_ver=Z39.88-2004&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=article&amp;rft.jtitle=2009+Third+International+Conference+on+Emerging+Security+Information%2C+Systems+and+Technologies&amp;rft.atitle=Detecting+man-in-the-middle+attacks+by+precise+timing.&amp;rft.pages=81-86&amp;rft.date=2009&amp;rft.aulast=Aziz&amp;rft.aufirst=Benjamin&amp;rft.au=Hamilton%2C+Geoff&amp;rft_id=https%3A%2F%2Fieeexplore.ieee.org%2Fabstract%2Fdocument%2F5211025%2F&amp;rfr_id=info%3Asid%2Fen.wikipedia.org%3AMan-in-the-middle+attack" class="Z3988"></span><link rel="mw-deduplicated-inline-style" href="mw-data:TemplateStyles:r886058088"></span>
</li>
<li id="cite_note-8"><span class="mw-cite-backlink"><b><a href="#cite_ref-8">^</a></b></span> <span class="reference-text"><cite class="citation web"><a rel="nofollow" class="external text" href="http://www.lysator.liu.se/~jc/mthesis/5_Unconditionally_secure_au.html">"5. Unconditionally secure authentication"</a>. <i>liu.se</i>.</cite><span title="ctx_ver=Z39.88-2004&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=unknown&amp;rft.jtitle=liu.se&amp;rft.atitle=5.+Unconditionally+secure+authentication&amp;rft_id=http%3A%2F%2Fwww.lysator.liu.se%2F~jc%2Fmthesis%2F5_Unconditionally_secure_au.html&amp;rfr_id=info%3Asid%2Fen.wikipedia.org%3AMan-in-the-middle+attack" class="Z3988"></span><link rel="mw-deduplicated-inline-style" href="mw-data:TemplateStyles:r886058088"></span>
</li>
<li id="cite_note-9"><span class="mw-cite-backlink"><b><a href="#cite_ref-9">^</a></b></span> <span class="reference-text"><cite class="citation web"><a rel="nofollow" class="external text" href="http://www.netresec.com/?page=Blog&amp;month=2011-03&amp;post=Network-Forensic-Analysis-of-SSL-MITM-Attacks">"Network Forensic Analysis of SSL MITM Attacks"</a>. <i>NETRESEC Network Security Blog</i><span class="reference-accessdate">. Retrieved <span class="nowrap">March 27,</span> 2011</span>.</cite><span title="ctx_ver=Z39.88-2004&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=unknown&amp;rft.jtitle=NETRESEC+Network+Security+Blog&amp;rft.atitle=Network+Forensic+Analysis+of+SSL+MITM+Attacks&amp;rft_id=http%3A%2F%2Fwww.netresec.com%2F%3Fpage%3DBlog%26month%3D2011-03%26post%3DNetwork-Forensic-Analysis-of-SSL-MITM-Attacks&amp;rfr_id=info%3Asid%2Fen.wikipedia.org%3AMan-in-the-middle+attack" class="Z3988"></span><link rel="mw-deduplicated-inline-style" href="mw-data:TemplateStyles:r886058088"></span>
</li>
<li id="cite_note-10"><span class="mw-cite-backlink"><b><a href="#cite_ref-10">^</a></b></span> <span class="reference-text"><cite class="citation news">Leyden, John (2003-11-07). <a rel="nofollow" class="external text" href="https://www.theregister.co.uk/2003/11/07/help_my_belkin_router/">"Help! my Belkin router is spamming me"</a>. <i>The Register</i>.</cite><span title="ctx_ver=Z39.88-2004&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=article&amp;rft.jtitle=The+Register&amp;rft.atitle=Help%21+my+Belkin+router+is+spamming+me&amp;rft.date=2003-11-07&amp;rft.aulast=Leyden&amp;rft.aufirst=John&amp;rft_id=https%3A%2F%2Fwww.theregister.co.uk%2F2003%2F11%2F07%2Fhelp_my_belkin_router%2F&amp;rfr_id=info%3Asid%2Fen.wikipedia.org%3AMan-in-the-middle+attack" class="Z3988"></span><link rel="mw-deduplicated-inline-style" href="mw-data:TemplateStyles:r886058088"></span>
</li>
<li id="cite_note-11"><span class="mw-cite-backlink"><b><a href="#cite_ref-11">^</a></b></span> <span class="reference-text"><cite class="citation news">Zetter, Kim (2011-09-20). <a rel="nofollow" class="external text" href="https://www.wired.com/2011/09/diginotar-bankruptcy/">"DigiNotar Files for Bankruptcy in Wake of Devastating Hack"</a>. <i>Wired</i>. <a href="/wiki/International_Standard_Serial_Number" title="International Standard Serial Number">ISSN</a> <a rel="nofollow" class="external text" href="//www.worldcat.org/issn/1059-1028">1059-1028</a><span class="reference-accessdate">. Retrieved <span class="nowrap">2019-03-22</span></span>.</cite><span title="ctx_ver=Z39.88-2004&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=article&amp;rft.jtitle=Wired&amp;rft.atitle=DigiNotar+Files+for+Bankruptcy+in+Wake+of+Devastating+Hack&amp;rft.date=2011-09-20&amp;rft.issn=1059-1028&amp;rft.aulast=Zetter&amp;rft.aufirst=Kim&amp;rft_id=https%3A%2F%2Fwww.wired.com%2F2011%2F09%2Fdiginotar-bankruptcy%2F&amp;rfr_id=info%3Asid%2Fen.wikipedia.org%3AMan-in-the-middle+attack" class="Z3988"></span><link rel="mw-deduplicated-inline-style" href="mw-data:TemplateStyles:r886058088"></span>
</li>
<li id="cite_note-12"><span class="mw-cite-backlink"><b><a href="#cite_ref-12">^</a></b></span> <span class="reference-text"><cite class="citation web">Meyer, David (10 January 2013). <a rel="nofollow" class="external text" href="http://gigaom.com/2013/01/10/nokia-yes-we-decrypt-your-https-data-but-dont-worry-about-it/">"Nokia: Yes, we decrypt your HTTPS data, but don't worry about it"</a>. Gigaom, Inc<span class="reference-accessdate">. Retrieved <span class="nowrap">13 June</span> 2014</span>.</cite><span title="ctx_ver=Z39.88-2004&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Abook&amp;rft.genre=unknown&amp;rft.btitle=Nokia%3A+Yes%2C+we+decrypt+your+HTTPS+data%2C+but+don%27t+worry+about+it&amp;rft.pub=Gigaom%2C+Inc.&amp;rft.date=2013-01-10&amp;rft.aulast=Meyer&amp;rft.aufirst=David&amp;rft_id=http%3A%2F%2Fgigaom.com%2F2013%2F01%2F10%2Fnokia-yes-we-decrypt-your-https-data-but-dont-worry-about-it%2F&amp;rfr_id=info%3Asid%2Fen.wikipedia.org%3AMan-in-the-middle+attack" class="Z3988"></span><link rel="mw-deduplicated-inline-style" href="mw-data:TemplateStyles:r886058088"></span>
</li>
<li id="cite_note-13"><span class="mw-cite-backlink"><b><a href="#cite_ref-13">^</a></b></span> <span class="reference-text"><cite class="citation web">Weissman, Cale Guthrie (September 15, 2017). <a rel="nofollow" class="external text" href="https://www.fastcompany.com/40468811/heres-why-equifax-yanked-its-apps-from-apple-and-google-last-week">"Here's Why Equifax Yanked Its Apps From Apple And Google Last Week"</a>. <i>Fast Company</i>.</cite><span title="ctx_ver=Z39.88-2004&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=unknown&amp;rft.jtitle=Fast+Company&amp;rft.atitle=Here%27s+Why+Equifax+Yanked+Its+Apps+From+Apple+And+Google+Last+Week&amp;rft.date=2017-09-15&amp;rft.aulast=Weissman&amp;rft.aufirst=Cale+Guthrie&amp;rft_id=https%3A%2F%2Fwww.fastcompany.com%2F40468811%2Fheres-why-equifax-yanked-its-apps-from-apple-and-google-last-week&amp;rfr_id=info%3Asid%2Fen.wikipedia.org%3AMan-in-the-middle+attack" class="Z3988"></span><link rel="mw-deduplicated-inline-style" href="mw-data:TemplateStyles:r886058088"></span>
</li>
<li id="cite_note-14"><span class="mw-cite-backlink"><b><a href="#cite_ref-14">^</a></b></span> <span class="reference-text"><cite class="citation web"><a rel="nofollow" class="external text" href="http://news.cnet.com/8301-13578_3-57602701-38/nsa-disguised-itself-as-google-to-spy-say-reports/">"NSA disguised itself as Google to spy, say reports"</a>. <i>CNET</i>. 12 Sep 2013<span class="reference-accessdate">. Retrieved <span class="nowrap">15 Sep</span> 2013</span>.</cite><span title="ctx_ver=Z39.88-2004&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=unknown&amp;rft.jtitle=CNET&amp;rft.atitle=NSA+disguised+itself+as+Google+to+spy%2C+say+reports&amp;rft.date=2013-09-12&amp;rft_id=http%3A%2F%2Fnews.cnet.com%2F8301-13578_3-57602701-38%2Fnsa-disguised-itself-as-google-to-spy-say-reports%2F&amp;rfr_id=info%3Asid%2Fen.wikipedia.org%3AMan-in-the-middle+attack" class="Z3988"></span><link rel="mw-deduplicated-inline-style" href="mw-data:TemplateStyles:r886058088"></span>
</li>
<li id="cite_note-15"><span class="mw-cite-backlink"><b><a href="#cite_ref-15">^</a></b></span> <span class="reference-text"><cite class="citation web"><a rel="nofollow" class="external text" href="https://www.techspot.com/news/62887-comcast-using-man-middle-attack-warn-subscribers-potential.html">"Comcast using man-in-the-middle attack to warn subscribers of potential copyright infringement"</a>. <i>TechSpot</i>.</cite><span title="ctx_ver=Z39.88-2004&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Ajournal&amp;rft.genre=unknown&amp;rft.jtitle=TechSpot&amp;rft.atitle=Comcast+using+man-in-the-middle+attack+to+warn+subscribers+of+potential+copyright+infringement&amp;rft_id=https%3A%2F%2Fwww.techspot.com%2Fnews%2F62887-comcast-using-man-middle-attack-warn-subscribers-potential.html&amp;rfr_id=info%3Asid%2Fen.wikipedia.org%3AMan-in-the-middle+attack" class="Z3988"></span><link rel="mw-deduplicated-inline-style" href="mw-data:TemplateStyles:r886058088"></span>
</li>
<li id="cite_note-16"><span class="mw-cite-backlink"><b><a href="#cite_ref-16">^</a></b></span> <span class="reference-text"><cite class="citation web"><a rel="nofollow" class="external text" href="https://www.privateinternetaccess.com/blog/2016/12/comcast-still-uses-mitm-javascript-injection-serve-unwanted-ads-messages/">"Comcast still uses MITM javascript injection to serve unwanted ads and messages"</a>. 2016-12-28.</cite><span title="ctx_ver=Z39.88-2004&amp;rft_val_fmt=info%3Aofi%2Ffmt%3Akev%3Amtx%3Abook&amp;rft.genre=unknown&amp;rft.btitle=Comcast+still+uses+MITM+javascript+injection+to+serve+unwanted+ads+and+messages&amp;rft.date=2016-12-28&amp;rft_id=https%3A%2F%2Fwww.privateinternetaccess.com%2Fblog%2F2016%2F12%2Fcomcast-still-uses-mitm-javascript-injection-serve-unwanted-ads-messages%2F&amp;rfr_id=info%3Asid%2Fen.wikipedia.org%3AMan-in-the-middle+attack" class="Z3988"></span><link rel="mw-deduplicated-inline-style" href="mw-data:TemplateStyles:r886058088"></span>
</li>
</ol></div></div>
</div><h2 class="section-heading" onclick="javascript:mfTempOpenSection(6)"><div class="mw-ui-icon mw-ui-icon-element indicator mw-ui-icon-small mw-ui-icon-flush-left"></div><span class="mw-headline" id="External_links">External links</span><span class="mw-editsection"><a href="/w/index.php?title=Man-in-the-middle_attack&amp;action=edit&amp;section=9" title="Edit section: External links" data-section="9" class="mw-ui-icon mw-ui-icon-element mw-ui-icon-minerva-edit-enabled edit-page mw-ui-icon-flush-right">Edit</a></span></h2><div class="mf-section-6 collapsible-block" id="mf-section-6">
<ul><li><a rel="nofollow" class="external text" href="http://www.sans.org/reading-room/whitepapers/analyst/finding-hidden-threats-decrypting-ssl-34840">Finding Hidden Threats by Decrypting SSL</a> (PDF). SANS Institute.</li></ul>




</div></div><noscript><img src="//en.wikipedia.org/wiki/Special:CentralAutoLogin/start?type=1x1&amp;mobile=1" alt="" title="" width="1" height="1" style="border: none; position: absolute;" /></noscript></div><div class="printfooter">
Retrieved from "<a dir="ltr" href="https://en.wikipedia.org/w/index.php?title=Man-in-the-middle_attack&amp;oldid=933141355">https://en.wikipedia.org/w/index.php?title=Man-in-the-middle_attack&amp;oldid=933141355</a>"</div>
</div>
			<div class="post-content" id="page-secondary-actions">
			
			</div>
		</main>
		
<footer class="minerva-footer">
<div class="last-modified-bar">
	<div class="post-content last-modified-bar__content">
		<span class="last-modified-bar__icon mw-ui-icon mw-ui-icon-mw-ui-icon-small mw-ui-icon-minerva-clock "></span>
		<a class="last-modified-bar__text" href="/wiki/Special:History/Man-in-the-middle_attack"
				data-user-name="John M Wolfson"
				data-user-gender="unknown"
				data-timestamp="1577682460">
				<span>Last edited on 30 December 2019, at 05:07</span>
		</a>
		<span class="mw-ui-icon mw-ui-icon-small mw-ui-icon-mf-expand-gray mf-mw-ui-icon-rotate-anti-clockwise indicator mw-ui-icon-mf-arrow-gray"></span>
	</div>
</div>

<div class="post-content footer-content">
	<div id='mw-data-after-content'>
	<div class="read-more-container"></div>
</div>

	<h2><img src="/static/images/mobile/copyright/wikipedia-wordmark-en.png" alt="Wikipedia" srcset="/static/images/mobile/copyright/wikipedia-wordmark-en.svg 1x" height="18" width="116"/></h2>
	<div class="license">Content is available under <a class="external" rel="nofollow" href="https://creativecommons.org/licenses/by-sa/3.0/">CC BY-SA 3.0</a> unless otherwise noted.</div>
	
	<ul class="footer-places hlist hlist-separated">
		<li id="footer-places-terms-use"><a href="//m.wikimediafoundation.org/wiki/Terms_of_Use">Terms of Use</a></li><li id="footer-places-privacy"><a href="https://foundation.wikimedia.org/wiki/Privacy_policy" class="extiw" title="wmf:Privacy policy">Privacy</a></li><li id="footer-places-desktop-toggle"><a id="mw-mf-display-toggle" href="//en.wikipedia.org/w/index.php?title=Man-in-the-middle_attack&amp;mobileaction=toggle_view_desktop">Desktop</a></li>
	</ul>
	
</div>
</footer>


	</div>
</div>
<div class="mw-notification-area" data-mw="interface"></div>
<!-- v:8.1.14 -->

<script>(RLQ=window.RLQ||[]).push(function(){mw.config.set({"wgPageParseReport":{"limitreport":{"cputime":"0.424","walltime":"0.651","ppvisitednodes":{"value":1001,"limit":1000000},"ppgeneratednodes":{"value":0,"limit":1500000},"postexpandincludesize":{"value":39145,"limit":2097152},"templateargumentsize":{"value":468,"limit":2097152},"expansiondepth":{"value":8,"limit":40},"expensivefunctioncount":{"value":4,"limit":500},"unstrip-depth":{"value":1,"limit":20},"unstrip-size":{"value":47611,"limit":5000000},"entityaccesscount":{"value":4,"limit":400},"timingprofile":["100.00%  558.618      1 -total"," 75.39%  421.121      1 Template:Reflist"," 28.05%  156.713     10 Template:Cite_web"," 19.63%  109.657      3 Template:Cite_journal"," 13.67%   76.361      2 Template:Cite_news"," 12.01%   67.069      1 Template:Short_description","  9.41%   52.558      1 Template:Cite_arXiv","  8.64%   48.274      1 Template:Pagetype","  3.22%   18.002      1 Template:Distinguish","  3.22%   17.971      1 Template:Malware"]},"scribunto":{"limitreport-timeusage":{"value":"0.254","limit":"10.000"},"limitreport-memusage":{"value":5332958,"limit":52428800}},"cachereport":{"origin":"mw1275","timestamp":"20200107173257","ttl":2592000,"transientcontent":false}}});});</script>
<script type="application/ld+json">{"@context":"https:\/\/schema.org","@type":"Article","name":"Man-in-the-middle attack","url":"https:\/\/en.wikipedia.org\/wiki\/Man-in-the-middle_attack","sameAs":"http:\/\/www.wikidata.org\/entity\/Q554830","mainEntity":"http:\/\/www.wikidata.org\/entity\/Q554830","author":{"@type":"Organization","name":"Contributors to Wikimedia projects"},"publisher":{"@type":"Organization","name":"Wikimedia Foundation, Inc.","logo":{"@type":"ImageObject","url":"https:\/\/www.wikimedia.org\/static\/images\/wmf-hor-googpub.png"}},"datePublished":"2002-11-06T16:50:14Z","dateModified":"2019-12-30T05:07:40Z","headline":"form of active eavesdropping in which the attacker makes connections with the victims and relays messages between them"}</script><script>(window.NORLQ=window.NORLQ||[]).push(function(){var ns,i,p,img;ns=document.getElementsByTagName('noscript');for(i=0;i<ns.length;i++){p=ns[i].nextSibling;if(p&&p.className&&p.className.indexOf('lazy-image-placeholder')>-1){img=document.createElement('img');img.setAttribute('src',p.getAttribute('data-src'));img.setAttribute('width',p.getAttribute('data-width'));img.setAttribute('height',p.getAttribute('data-height'));img.setAttribute('alt',p.getAttribute('data-alt'));p.parentNode.replaceChild(img,p);}}});</script>
<script>(RLQ=window.RLQ||[]).push(function(){mw.config.set({"wgBackendResponseTime":108,"wgHostname":"mw1275"});});</script>		</body>
		</html>
		